#!version:1.0.0.1

##File header "#!version:1.0.0.1" can not be edited or deleted, and must be placed in the first line.##

#######################################################################################
##                                    Hostname                                       ##
#######################################################################################
network.dhcp_host_name =

#######################################################################################
##                                    PPPOE                                          ##
#######################################################################################
#Configure the username and password for PPPOE connection.
#Require reboot;
network.pppoe.user =
network.pppoe.password =

#######################################################################################
##                                    Network Advanced                               ##
#######################################################################################
#Configure the duplex mode and the speed of the WAN port.
#0-Auto negotiate (default), 1-Full duplex 10Mbps, 2-Full duplex 100Mbps, 3-Half duplex 10Mbps, 4-Half duplex 100Mbps;
network.internet_port.speed_duplex =
network.pc_port.speed_duplex =

network.pc_port.dhcp_server = 1
network.static_dns_enable = 0

{if isset($vlan_port_id) }
#######################################################################################
##                                    VLAN  ENABLED                                  ##
#######################################################################################
network.vlan.internet_port_enable = 1

#Configure the VLAN ID, it ranges from 1 to 4094, the default value is 1.
#Require reboot;
network.vlan.internet_port_vid = {$vlan_port_id}

#Configure the VLAN priority, it ranges from 0 (default) to 7.
#Require reboot;
network.vlan.internet_port_priority =

#Enable or disable the VLAN of PC port; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.vlan.pc_port_enable = 1

#Configure the VLAN ID, it ranges from 1 to 4094, the default value is 1.
#Require reboot;
network.vlan.pc_port_vid = {$vlan_pc_port_id}

#Configure the VLAN priority, it ranges from 0 (default) to 7.
#Require reboot;
network.vlan.pc_port_priority =

#Enable or disable the DHCP to obtain the information of the VLAN; 0-Disabled; 1-Enabled (default);
#Require reboot;
network.vlan.dhcp_enable =

#Configure the DHCP option to obtain the information of the VLAN. It ranges from 0 to 255.
#Multiple options separated by a comma. It supports up to 5 options in all.
#Require reboot;
network.vlan.dhcp_option =

{else}

#######################################################################################
##                                    VLAN  ENABLED                                  ##
#######################################################################################
network.vlan.internet_port_enable = 0

#Configure the VLAN ID, it ranges from 1 to 4094, the default value is 1.
#Require reboot;
network.vlan.internet_port_vid =

#Configure the VLAN priority, it ranges from 0 (default) to 7.
#Require reboot;
network.vlan.internet_port_priority =

#Enable or disable the VLAN of PC port; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.vlan.pc_port_enable =

#Configure the VLAN ID, it ranges from 1 to 4094, the default value is 1.
#Require reboot;
network.vlan.pc_port_vid =

#Configure the VLAN priority, it ranges from 0 (default) to 7.
#Require reboot;
network.vlan.pc_port_priority =

#Enable or disable the DHCP to obtain the information of the VLAN; 0-Disabled; 1-Enabled (default);
#Require reboot;
network.vlan.dhcp_enable =

#Configure the DHCP option to obtain the information of the VLAN. It ranges from 0 to 255.
#Multiple options separated by a comma. It supports up to 5 options in all.
#Require reboot;
network.vlan.dhcp_option =

{/if}

#######################################################################################
##                                   WEB Port                                        ##
#######################################################################################
#Configure the HTTP port (80 by default) and the HTTPS port (443 by default) of the web server. Both range from 1 to 65535.
#Require reboot;
network.port.http =
network.port.https =

#######################################################################################
##                                   QOS                                             ##
#######################################################################################
#Configure the voice QOS. It ranges from 0 to 63, the default value is 46.
#Require reboot;
network.qos.rtptos =

#Configure the SIP QOS. It ranges from 0 to 63, the default value is 26.
#Require reboot;
network.qos.signaltos =

#######################################################################################
##                                   802.1X                                          ##
#######################################################################################
#Configure the 802.1x mode; 0-Disabled (default), 1-EAP-MD5, 2-EAP-TLS, 3-PEAP-MSCHAPV2, 4:EAP-TTLS/EAP-MSCHAPv2;
#Require reboot;
network.802_1x.mode =
network.802_1x.identity =
network.802_1x.md5_password =
network.802_1x.root_cert_url =
network.802_1x.client_cert_url =

#######################################################################################
##                                   VPN                                             ##
#######################################################################################
#Enable or disable the VPN feature; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.vpn_enable =

#######################################################################################
##                                   LLDP                                            ##
#######################################################################################
#Enable or disable the LLDP feature; 0-Disabled, 1-Enabled (default);
#Require reboot;
network.lldp.enable =

#Configure the interval(in seconds) the phone broadcasts the LLDP request. It ranges from 1 to 3600, the default value is 60.
#Require reboot;
network.lldp.packet_interval =

#######################################################################################
##                                   SNMP                                            ##
#######################################################################################
#Enable or disable the SNMP feature; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.snmp.enable =
network.snmp.port =

#Configure the IP address(es) of the trusted SNMP server,multiple IP addresses must be separated by a space.
#Require reboot;
network.snmp.trust_ip =

#######################################################################################
##                                   Span to PC                                      ##
#######################################################################################
#Enable or disable the span from WAN port to PC port feature; 0-Disabled (default), 1-Enabled;
#Require reboot;
network.span_to_pc_port =

#######################################################################################
##                                   RTP Port                                        ##
#######################################################################################
#Configure the maximum local RTP port. It ranges from 0 to 65535, the default value is 11800.
#Require reboot;
network.port.max_rtpport =

#Configure the minimum local RTP port. It ranges from 0 to 65535, the default value is 11780.
#Require reboot;
network.port.min_rtpport =

#######################################################################################
##                                   SYSLOG                                          ##
#######################################################################################
#Configure the IP address of the syslog server.
#Require reboot;
syslog.server =

#Configure the syslog level. It ranges from 0 to 6, the default value is 3.
#Require reboot;
syslog.log_level =

#######################################################################################
##                                   Redirect                                        ##
#######################################################################################
#Enable or disable the redirect feature; 0-Disabled (default), 1-Enabled;
redirect.enable =

#######################################################################################
##                                   TR069                                           ##
#######################################################################################
#The TR069 feature is only applicable to some designated firmware version.
#All settings of TR069 require reboot.
#Enable or disable the TR069 feature; 0-Disabled (default), 1-Enabled;
managementserver.enable =
managementserver.username =
managementserver.password =
managementserver.url =
managementserver.connection_request_username =
managementserver.connection_request_password =
managementserver.periodic_inform_enable = 0
managementserver.periodic_inform_interval = 60

#######################################################################################
##                                   Autop Mode                                      ##
#######################################################################################
#Configure the auto provision mode;
#0-Disabled , 1-Power on (default);
auto_provision.mode =

#######################################################################################
##                                   Autop PNP                                       ##
#######################################################################################
#Enable or disable the Plug and Play feature; 0-Disabled, 1-Enabled (default);
auto_provision.pnp_enable =

#######################################################################################
##                                   Autop DHCP                                      ##
#######################################################################################
#Enable or disable DHCP option mode; 0-Disabled, 1-Enabled (default);
auto_provision.dhcp_option.enable =

#Configure the custom DHCP option number. It ranges from 128 to 254.
auto_provision.dhcp_option.list_user_options =

#######################################################################################
##                                   Autop Repeat                                    ##
#######################################################################################
auto_provision.repeat.enable = 0

#Configure the interval (in minutes) for the phone to check new configuration files. It ranges from 1 to 43200, the default value is 1440.
#It is only applicable to "Repeatedly".
auto_provision.repeat.minutes =

#######################################################################################
##                                   Autop Weekly                                    ##
#######################################################################################
auto_provision.weekly.enable = 0

#Configure the day of week for the phone to check new configuration files. The default vaule is 0123456.
#0-Sunday,1-Monday,2-Tuesday,3-Wednesday,4-Thursday,5-Friday,6-Saturday;
#It is only applicable to "Weekly" and "Power on + Weekly" modes.
#If the desired week is Monday, Tuesday and Wednesday, the value format is 012.
auto_provision.weekly.mask =

#Configure the start time of the day for the phone to check new configuration files. The default value is 00:00.
#It is only applicable to "Weekly" and "Power on + Weekly" modes.
#If the desired start time of the day is seven forty-five a.m., the value format is 07:45.
auto_provision.weekly.begin_time =

#Configure the end time of the day for the phone to check new configuration files.  The default time is 00:00.
#It is only applicable to "Weekly" and "Power on + Weekly" modes.
#If the desired end time of the day is seven forty-five p.m., the value format is 19:45.
auto_provision.weekly.end_time =

#######################################################################################
##                                   Autop URL                                       ##
#######################################################################################
auto_provision.server.url = {$yealink_provision_url}
auto_provision.server.username =
auto_provision.server.password =

#######################################################################################
##                                   Autop Aes Key                                   ##
#######################################################################################
#Configure AES key (16 characters) for decrypting the common CFG file.
auto_provision.aes_key_16.com =

#Configure AES key (16 characters) for decrypting the MAC-Oriented CFG file.
auto_provision.aes_key_16.mac =

custom_mac_cfg.url =

#Configure the value (manufacturer of the device) of DHCP option 60. The default is yealink
auto_provision.dhcp_option.option60_value =

#######################################################################################
##                                   Autop Code                                      ##
#######################################################################################
#This feature allows user to trigger the auto provisioning by pressing a predefined string on the phone.
#Require reboot;
#"X" ranges from 1 to 50

#Configure the auto provisioning name.
#The valid value is a string, the maximum length is 100.
autoprovision.X.name =


#Configure the auto provisioning code;
#The valid value is a string, the maximum length is 100.
autoprovision.X.code =

#Configure the URL of the auto provisioning server.
#The valid value is a string, the maximum length is 511.
autoprovision.X.url =

#Configure the username and password for downloading.
#The valid value is a string, the maximum length is 100.
autoprovision.X.user =
autoprovision.X.password =

#Configure AES key (16 characters) for decrypting the common CFG file and MAC-Oriented CFG file.
autoprovision.X.com_aes =
autoprovision.X.mac_aes =

#######################################################################################
##                                   Watch Dog                                       ##
#######################################################################################
#Enable or disable the WatchDog feature; 0-Disabled, 1-Enabled (default);
watch_dog.enable =

#######################################################################################
##                                   SIP Advanced                                    ##
#######################################################################################
#Enable or disable the phone to escape the pound key as percent sign followed by 23 when dialing out; 0-Disabled, 1-Enabled (default);
sip.use_23_as_pound =

#Enable or disable the RFC2543 Hold feature; 0-Disabled (default), 1-Enabled;
sip.rfc2543_hold =

#Enable or disable the phone to keep sending the SIP messages to the outbound server; 0-Disabled, 1-Enabled (default);
sip.use_out_bound_in_dialog =

#Configure the registration random time (in seconds). It ranges from 0 (default) to 60.
sip.reg_surge_prevention =

#######################################################################################
##                                   Echo Cancellation                               ##
#######################################################################################
#Enable or disable the voice activity detection feature; 0-Disbaled (default), 1-Enabled;
voice.vad =

#Enable or disable the comfortable noise generator; 0-Disabled, 1-Enabled (default);
voice.cng =

#Enable or disable the echo canceller; 0-Disabled, 1-Enabled (default);
voice.echo_cancellation =

#Configure the volume of the side tone. It ranges from -48 to 0, the default value is -3.
voice.side_tone=

#configure the preview call mode; 1-Ignore:the mixed of tone and RTP (default), 2-Force: discard the RTP and play the tone, 3-Skip: skip the tone to play the RTP;
voice.call_preview_mode=

#######################################################################################
##                                   Jitter Buffer                                   ##
#######################################################################################
#Configure the type of jitter buffer; 0-Fixed, 1-Adaptive (default);
voice.jib.adaptive =

#Configure the minimum delay, maximum delay and normal delay. The default values are 0, 300, 120.
voice.jib.min =
voice.jib.max =
voice.jib.normal =

#######################################################################################
##                                   Tones                                           ##
#######################################################################################
#Define the voice tone, the valid values can be Custom (default) or voice tone of different countries. For example, United States, France, Germany and so on.
#voice.tone.country = Custom
voice.tone.country =
voice.tone.dial =
voice.tone.ring =
voice.tone.busy =
voice.tone.congestion =
voice.tone.callwaiting =
voice.tone.dialrecall =
voice.tone.record=
voice.tone.info =
voice.tone.stutter =
voice.tone.message =
voice.tone.autoanswer =

#######################################################################################
##                                   Volume                                          ##
#######################################################################################
#Configure the receiving volume of Speaker, Handset and Headset. It ranges from 0 to 15, the default value is 8.
voice.handfree.spk_vol =
voice.handfree.tone_vol =
voice.handset.spk_vol =
voice.handset.tone_vol =
voice.headset.spk_vol =
voice.headset.tone_vol =
voice.ring_vol=

#######################################################################################
##                                   WEB HTTP(S)                                     ##
#######################################################################################
wui.https_enable =
wui.http_enable =

#######################################################################################
##                                   Transfer                                        ##
#######################################################################################
#Enable or disable the transferee to display the missed call prompt when receiving a semi_attended transfer call;
#0-Disabled, 1-Enabled (default);
transfer.semi_attend_tran_enable =

#Enable or disable the phone to complete the blind or attended transfer through on-hook;
#0-Disabled,1-Enabled(default);
transfer.blind_tran_on_hook_enable =

#Enable or disable the conference initiator to transfer the call when hanging up.
#0-Disabled(default),1-Enabled;
transfer.tran_others_after_conf_enable =

#Enable or disable the phone to complete the blind or attended transfer through on-hook;
#0-Disabled,1-Enabled(default);
transfer.on_hook_trans_enable =

#Define the way of DSS key when configuring as a transfer key; 0-Display Number, 1-Attended Transfer, 2-Blind Transfer (default);
transfer.dsskey_deal_type =

#######################################################################################
##                                   Web Language                                    ##
#######################################################################################
#Specify the web language, the valid values are: English, Chinese_S, Turkish, Portuguese, Spanish, Italian, French, Russian, Deutsch and Czech.
lang.wui =

#Specify the LCD language, the valid values are: English (default), Chinese_S, Chinese_T, German, French, Turkish, Italian, Polish, Spanish and Portuguese.
lang.gui = English

#######################################################################################
##                                   Time                                            ##
#######################################################################################
#Configure the domain name or the IP address of the NTP server. The default value is cn.pool.ntp.org.
local_time.ntp_server1 = {$ntp_server_primary}
local_time.ntp_server2 = {$ntp_server_secondary}

#Configure the update interval (in seconds) when using the NTP server. The default value is 1000.
local_time.interval =

#Configure the daylight saving time feature; 0-Disabled, 1-Enabled, 2-Automatic (default);
local_time.summer_time =

#Configure the DST type when the DST feature is enabled; 0-By Date (default), 1-By Week;
local_time.dst_time_type =

#Configure the start time of DST. The default value is 1/1/0.
#If the DST type is configured as By Date, the value format is Month/Day/Hour. For example, the value 5/20/10 means the start time is at 10:00 on May 20.
#If the DST type is configured as By Week, the value format is Month/Day of Week/Day of Week Last in Month/Hour of Day.
#For example, the value 1/4/2/5 means the start time is at 5 o'clock on Tuesday of the 4th week in January.
local_time.start_time =

#Configure the end time of DST. The default value is 12/31/23. The value format is the same to the start time.
local_time.end_time =

#Configure the offset time (in seconds). It ranges from -300 to 300, the default value is 60.
local_time.offset_time =

#Configure the time format; 0-12 Hour, 1-24 Hour (default);
local_time.time_format =

#Configure the date format; 0-WWW MMM DD (default), 1-DD-MMM-YY, 2-YYYY-MM-DD, 3-DD/MM/YYYY, 4-MM/DD/YY, 5-DD MMM YYYY, 6-WWW DD MMM;
local_time.date_format =

#Enable or disable the DHCP Time; 0-Disabled (default), 1-Enabled;
local_time.dhcp_time =

local_time.manual_time_enable = 0

#######################################################################################
##                                   Auto Redial                                     ##
#######################################################################################
#Enable or disable the auto redial feature; 0-Disabled (default), 1-Enabled;
auto_redial.enable =

#Configure the interval (in seconds) to wait before redial. It ranges from 1 to 300. The default value is 10.
auto_redial.interval =

#Configure the auto redial times. It ranges from 1 to 300. The default value is 10.
auto_redial.times =

#######################################################################################
##                                   Zero Touch                                      ##
#######################################################################################
#Enable or disable the Zero Touch feature; 0-Disabled (default), 1-Enabled;
zero_touch.enable =

#Configure the waiting time (in seconds) before canceling the Zero Touch. It ranges from 0 to 100, the default value is 5.
zero_touch.wait_time =

#######################################################################################
##                                   Push XML                                        ##
#######################################################################################
push_xml.server =

#Enable or disable the phone to display the push XML interface when receiving an incoming call; 0-Disabled (default), 1-Enabled;
push_xml.block_in_calling=

#Enable or disable the phone to use the push XML via SIP Notify message; 0-Disabled (default), 1-Enabled;
push_xml.sip_notify=

#######################################################################################
##                                   Dial Plan                                       ##
#######################################################################################
dialplan.area_code.code =
dialplan.area_code.min_len =  1
dialplan.area_code.max_len = 15

#When applying the rule to multiple lines, each line ID separated by a comma.
#e.g. dialplan.area_code.line_id = 1,2,3
dialplan.area_code.line_id =

#Configure the block out number. X ranges from 1 to 10.
#dialplan.block_out.number.x =
dialplan.block_out.number.1 =

#When applying the rule to multiple lines, mutiple lines must be separated by a comma. E.g. 1,2,3.
#dialplan.block_out.line_id.X =  1,2,3
dialplan.block_out.line_id.1 =

# X ranges from 1 to 100.
dialplan.dialnow.rule.X =
dialplan.dialnow.line_id.X =

# X ranges from 1 to 100.
dialplan.replace.prefix.X =
dialplan.replace.replace.X =
dialplan.replace.line_id.X =

#Configure the dialnow rule. X ranges from 1 to 20.
#dialnow.item.X = Dial-now rule,Line ID
#Dial-now rule: Specify the numbers that need replacing;
#Line ID:Specify the line ID to apply the replace rule,multiple lines must be separated by a comma;
dialnow.item.1 =

#Configure the replace rule. X ranges from 1 to 20.
#dialplan.item.X = Enabled,Prefix,Replaced,LineID
#Enabled: Enable or disable the replace rule. 0-Disabled, 1-Enabled; Prefix: Specify the numbers that need replacing;
#Replaced: Specify the alternate numbers;
#LineID: Specify the line ID to apply the replace rule,multiple lines ID must be separated by a comma;
dialplan.item.1 =

#######################################################################################
##                                   Remote Phonebook                                ##
#######################################################################################
#Configure the access URL and dispaly name of the remote phonebook. X ranges from 1 to 5.
#remote_phonebook.data.X.url =
#remote_phonebook.data.X.name =

{if isset($yealink_remote_phonebook_1_name) }
remote_phonebook.data.1.name = {$yealink_remote_phonebook_1_name}
{else}
remote_phonebook.data.1.name = Users
{/if}
{if isset($yealink_remote_phonebook_1_url) }
remote_phonebook.data.1.url =  {$yealink_remote_phonebook_1_url}
{else}
remote_phonebook.data.1.url = http://{$domain_name}/app/provision/?file=directory.xml&contacts=users
{/if}

{if isset($yealink_remote_phonebook_2_name) }
remote_phonebook.data.2.name = {$yealink_remote_phonebook_2_name}
{else}
remote_phonebook.data.2.name = Groups
{/if}
{if isset($yealink_remote_phonebook_2_url) }
remote_phonebook.data.2.url =  {$yealink_remote_phonebook_2_url}
{else}
remote_phonebook.data.2.url = http://{$domain_name}/app/provision/?file=directory.xml&contacts=groups
{/if}

{if isset($yealink_remote_phonebook_3_name) }
remote_phonebook.data.3.name = {$yealink_remote_phonebook_3_name}
{else}
remote_phonebook.data.3.name = Extensions
{/if}
{if isset($yealink_remote_phonebook_3_url) }
remote_phonebook.data.3.url =  {$yealink_remote_phonebook_3_url}
{else}
remote_phonebook.data.3.url = http://{$domain_name}/app/provision/?file=directory.xml&contacts=extensions
{/if}

remote_phonebook.data.4.name = {$yealink_remote_phonebook_4_name}
remote_phonebook.data.4.url =  {$yealink_remote_phonebook_4_url}

remote_phonebook.data.5.name = {$yealink_remote_phonebook_5_name}
remote_phonebook.data.5.url =  {$yealink_remote_phonebook_5_url}

#######################################################################################
##                                   Network Directory                               ##
#######################################################################################
directory.update_time_interval =
directory.incoming_call_match_enable = 1
bw.directory_enable = 0

#######################################################################################
##         	              LDAP Settings                                              ##
#######################################################################################
ldap.enable = {$ldap_enable}

#Configure the search criteria for name and number lookups.
ldap.name_filter = {$ldap_name_filter}
ldap.number_filter = {$ldap_number_filter}

ldap.host = {$ldap_host}
ldap.port = {$ldap_port}

ldap.base = {$ldap_base}
ldap.user = {$ldap_user}
ldap.password = {$ldap_password}

#Specify the maximum of the displayed search results. It ranges from 1 to 32000, the default value is 50.
ldap.max_hits = {$ldap_max_hits}

ldap.name_attr = {$ldap_name_attr}
ldap.numb_attr = {$ldap_numb_attr}
ldap.display_name = {$ldap_display_name}

#Configure the LDAP version. The valid value is 2 or 3 (default).
ldap.version = {$ldap_version}

#Conifugre the search delay time. It ranges from 0 to 2000 (default).
ldap.search_delay =

#Enable or disable the phone to query the contact name from the LDAP server when receiving an incoming call; 0-Disabled (default), 1-Enabled;
ldap.call_in_lookup = {$ldap_call_in_lookup}

#Enable or disable the phone to sort the search results in alphabetical order; 0-Disabled (default), 1-Enabled;
ldap.ldap_sort =  {$ldap_sort}

#Enable or disable the phone to query the LDAP server when in the pre-dialing or the dialing state; 0-Disabled (default), 1-Enabled;
ldap.dial_lookup =  {$ldap_dial_lookup}

#######################################################################################
##                                   Features                                        ##
#######################################################################################
#Configure the return code when activating DND; 404-No Found, 480-Temporarily not available (default), 486-Busy here;
#features.dnd_refuse_code = 480
features.dnd_refuse_code =

#Configure the return code when refusing a call. The valid values are 404, 480, 486 (default).
features.normal_refuse_code =

#Configure the delay time (in seconds)of auto answer. The time ranges from 1 to 4, the default value is 1.
features.auto_answer_delay =

#Enable or disable the transfer DSS key to perform the blind transfer; 0-Disabled, 1-Enabled (default);
features.dsskey_blind_tran =

#Enable or disable the phone to mute the call during an active call; 0-Disabled, 1-Enabled (default);
features.allow_mute =

features.group_listen_in_talking_enable =

#Enable or disable the call completion feature; 0-Disabled (default), 1-Enabled;
features.call_completion_enable =

#Enable or disable the phone to dial the IP address directly; 0-Disabled, 1-Enabled (default);
features.direct_ip_call_enable = 0

#Configure the power Indicator LED to turn on or turn off; 0-On (default), 1-Off;
features.power_led_on = 1

#Configure the overtime (in minutes) of logging web user interface. It ranges from 1 to 1000, the default value is 5.
features.relog_offtime =

#Specify the ring device when the phone is in the Headset mode; 0-use Speaker (default), 1-use Headset, 2- Use Headset& Speaker;
features.ringer_device.is_use_headset =

#Enable or disable to enter the password when long pressing the OK key to reset to factory; 0-Disabled (default), 1-Enabled;
#features.factory_pwd_enable = 1

features.idle_talk_power_led_flash_enable =

#Enbale or disable the server to release the BLA line automatically; 0-Disabled (default), 1-Enabled;
features.auto_release_bla_line =


#######################################################################################
##                                   Features FWD                                    ##
#######################################################################################
#Configure the call forward key mode; 0-Phone mode (default), 1-Custom mode.
features.fwd_mode =

#0-Disabled , 1-Enabled (default)
features.fwd_diversion_enable =

#######################################################################################
##                                   Features DND                                    ##
#######################################################################################
#Configure the DND key mode; 0-Phone mode (default), 1-Custom mode.
features.dnd_mode =
features.dnd.on_code =
features.dnd.off_code =
features.dnd.emergency_enable = 1
features.dnd.emergency_authorized_number =

#######################################################################################
##                                   Features BLF                                    ##
#######################################################################################
#Configure the LED flashing mode of the BLF key (line key). The value is 0(default) or 1.
features.blf_led_mode =

features.blf_list_version = 0
features.blf_and_callpark_idle_led_enable = 0

#######################################################################################
##                                   Features Intercom                               ##
#######################################################################################
#Enable or disable the intercom feature; 0-Disabled, 1-Enabled (default);
features.intercom.allow =

#Enable or disable the phone to mute the Speaker when answering an intercom call; 0-Disabled (default), 1-Enabled;
features.intercom.mute =

#Enable or disable the phone to play the intercom warning tone; 0-Disabled, 1-Enabled (default);
features.intercom.tone =

#Enable or disable the phone to barge in an intercom call; 0-Disabled (default), 1-Enabled;
features.intercom.barge =

#######################################################################################
##                                   Features Hotline                                ##
#######################################################################################
#Configure the hotline number and delay time (in seconds). It ranges from 0 to 180, the default value is 4.
features.hotline_number =
features.hotline_delay =

#######################################################################################
##                                   Features DTMF                                   ##
#######################################################################################
#Enable or disable the phone to suppress the display of DTMF digits; 0-Disabled (default), 1-Enabled;
features.dtmf.hide =

#Enables or disables the IP phone to display the DTMF digits for a short period before displaying as asterisks; 0-Disabled (default), 1-Enabled;
features.dtmf.hide_delay =

#Configure the repetition times of DTMF end packet. The valid values are 1, 2, 3 (default).
features.dtmf.repetition =

#Configure DTMF sequences. It can be consisted of digits, alphabets, * and #.
features.dtmf.transfer =

#Enable or disable the phone to send DTMF sequences during a call when pressing the transfer soft key or the TRAN key; 0-Disabled (default), 1-Enabled;
features.dtmf.replace_tran =

#######################################################################################
##                                   Features Audio Settings                         ##
#######################################################################################
#Enable or disable the headset prior feature; 0-Disabled (default), 1-Enabled;
features.headset_prior =

#Enable or disable the dual headset feature; 0-Disabled (default), 1-Enabled;
features.headset_training =

features.alert_info_tone =

#Enable or disable the phone to play the warning tone when receiving a vocie mail. 0-Disabled; 1-Enabled(default).
features.voice_mail_tone_enable =

#Configure the delay time (in seconds) of playing busy tone when rejecting a call. The valid values are 0 (default), 3 and 5.
features.busy_tone_delay =

#Configure the phone whether to send a pound key when pressing double pound keys; 0-Send one pound key (default), 1-Do not send any pound key;
features.send_pound_key =

#Define the "#" or "*" key as the send key; 0-Disabled, 1-# key(default), 2-* key;
features.pound_key.mode =

#Enable or disable the phone to play tone when pressing the digit key; 0-Disabled, 1-Enabled (default);
features.send_key_tone =
features.key_tone =

#Enable or disable the phone to play a warning tone when there is a held call; 0-Disabled, 1-Enabled (default);
features.play_hold_tone.enable =

#Configure the interval of playing a warning tone. The default value is 30s.
features.play_hold_tone.delay =

features.redial_tone =

#Enable or disable the phone with active accounts to play tones in the dialing interface differently from the phone with no active accounts; 0-Disabled (default), 1-Enbaled;
features.partition_tone =

#Configure the delay time (in milliseconds) before transfering a call. The default value is 0.
features.hold_trans_delay =

#Enbale or disable the phone to play a local DTMF tone; 0-Disabled, 1-Enabled (default);
features.play_local_dtmf_tone_enable=

#######################################################################################
##                                   Features Remote Phonebook                       ##
#######################################################################################
#Enables or disables the IP phone to query the contact names from the remote phonebook when receiving incoming calls; 0-Disabled (default), 1-Enabled;
features.remote_phonebook.enable =

#Set the interval (in seconds) for the phone to update the information of the remote phonebook. The default value is 3600.
features.remote_phonebook.flash_time =

#######################################################################################
##                                   Features Action                                 ##
#######################################################################################
#Specific the address(es) or enters 'any' from which Action URI will be accepted.
#For discontinuous IP addresses, each IP address is separated by comma, for example: 192.168.1.20,10.2.1.30
#For continuous IP addresses, the format likes *.*.*.* and the '*' stands for the values 0~255. For example: 10.10.*.* stands for the IP addresses that range from 10.10.0.0~10.10.255.255.
#If left blank, the IP phone cannot receive or handle any HTTP GET request.
#If set to 'any', the IP phone accepts and handles HTTP GET requests from any IP address.
features.action_uri_limit_ip =

features.action_uri_reboot_now = 0

#######################################################################################
##                                   Features Prefix                                 ##
#######################################################################################
#Enable or disable the phone to encrypt the digits of the dialed number. The encrypted digits are displayed as asterisks on the LCD screen; 0-Disabled (default), 1-Enabled;
features.password_dial.enable =

#Configure the prefix numbers displayed before the encrypted digits.
features.password_dial.prefix =

#Configure the length of encrypted digits.
features.password_dial.length =

#######################################################################################
##                                   Features History                                ##
#######################################################################################
#Enable or disable the phone to save the call history; 0-Disabled, 1-Enabled (default);
features.save_call_history =

#######################################################################################
##                                   Features Pickup                                 ##
#######################################################################################
#Enable or disable the phone to pick up the call using the group pickup soft key; 0-Disabled (default), 1-Enabled;
features.pickup.group_pickup_enable =

features.pickup.group_pickup_code =

#Enable or disable the phone to pick up the call using the directed pickup soft key; 0-Disabled (default), 1-Enabled;
features.pickup.direct_pickup_enable =

features.pickup.direct_pickup_code =

#Specify the way to notify the phone of the incoming call of the monitored user by visual or audio indicator;
#0-Disabled (default), 1-Enabled;
features.pickup.blf_visual_enable =
features.pickup.blf_audio_enable =

#######################################################################################
##                                   Phone Setting                                   ##
#######################################################################################
#Configure the time (in seconds) the phone automatically dials out the dialed digits. It ranges from 1 to 14, the default value is 4.
phone_setting.inter_digit_time =

#Configure the ring tone when the transfer fails. The valid values are: Ring1.wav.... Ring8.wav.
#If you set the custom ring tone (Busy.wav) for the phone, the value is: phone_setting.ring_type = Config:Busy.wav
#If you set the system ring tone (Ring2.wav) for the phone, the value is: phone_setting.ring_type = Resource:Ring2.wav
#phone_setting.ring_type = Resource:Ring1.wav
phone_setting.ring_type =
phone_setting.ring_for_tranfailed =

#Enable or disable the phone to deal the 180 SIP message after the 183 SIP message; 0-Disabled, 1-Enabled (default);
phone_setting.is_deal180 =
phone_setting.show_code403 =

#Configure the delay time (in seconds) for the dialnow rule. It ranges from 1 to 14, the default value is 1.
phone_setting.dialnow_delay =

#Configure the emergency number, each separated by a comma. The default value is 112,911,110.
phone_setting.emergency.number =

#Configure the using mode of the headset key. The value is 0 or 1(default).
phone_setting.page_tip =

#Enable or disable the phone to show the logon wizard during startup; 0-Disabled (default), 1-Enabled;
phone_setting.logon_wizard =

#Enable or disable the phone to automatically dial out the dialed digits in the pre-dial interface; 0-Disabled (default), 1-Enabled;
phone_setting.predial_autodial = 1

#Enable or disable customizing the softkey layout; 0-Disabled (default), 1-Enabled;
phone_setting.custom_softkey_enable =

#Configure the using mode of the headset key. The value is 0 or 1(default).
phone_setting.headsetkey_mode =

#Enable or disabled mail power led flash. 0-Disabled, 1-Enabled.
phone_setting.mail_power_led_flash_enable = 1

#######################################################################################
##                                   Phone Setting UI                                ##
#######################################################################################
#Configure the active backlight level. It ranges from 1 to 3, the default value is 2.
#The same level for different phones may result in different backlight intensities.
phone_setting.active_backlight_level =
phone_setting.inactive_backlight_level = 1

#######################################################################################
##                                   Phone Setting BLF                               ##
#######################################################################################
phone_setting.blf_list_enable = 1
phone_setting.auto_blf_list_enable = 1

#Specify the prior of the line keys and EXP keys when automatically configure the blf list 0-Configure the line keys first, 1-Configure the EXP keys first;
phone_setting.blf_list_sequence_type =

#######################################################################################
##                                   Key Lock                                        ##
#######################################################################################
#Configure the keypad lock type; 0-Disabled (default), 1-Enable
phone_setting.lock =

#Configure the unlock password for the phone. The default value is 123.
phone_setting.phone_lock.unlock_pin =


#Configures the interval (in seconds) to automatically lock the IP phone. It ranges from 0 to 3600, the default value is 0.
phone_setting.phone_lock.lock_time_out =

#Configure the keypad lock type;0-All Keys(default), 1-Function Key, 2-Menu Key
phone_setting.phone_lock.lock_key_type =

#Configure the backlight time (in seconds). The valid values are: 0-Always on, 1-Always off, 15-15s, 30-30s (default), 60-60s, 120-120s.
phone_setting.backlight_time =

#######################################################################################
##                                   Wallpaper                                       ##
#######################################################################################
wallpaper_upload.url = {$yealink_t46g_wallpaper}
phone_setting.backgrounds =  Config:yealink_t46g_wallpaper.png

#######################################################################################
##                                   Multicast                                       ##
#######################################################################################
#Configure the codec of multicast paging.
multicast.codec =

#Enbale or diable the phone to handle the incoming multicast paging calls when there is a multicast paging call on the phone; 0-Disabled, 1-Enabled (default);
#If enabled, the phone will answer the incoming multicast paging call with a higher priority and ignore that with a lower priority.
multicast.receive_priority.enable =

#Configure the priority of multicast paging calls. It ranges from 0 to 10.
multicast.receive_priority.priority =

#Configure the lable displayed on the LCD screen when receiving the multicast paging. X ranges from 1 to 10.
multicast.listen_address.X.label =

#Configure the listening multicast IP address and port number for the phone. X ranges from 1 to 10.
multicast.listen_address.X.ip_address =

#######################################################################################
##                                   Super Search                                    ##
#######################################################################################
super_search.recent_call = 1

#######################################################################################
##                                   Broadsoft Phonebook                             ##
#######################################################################################
bw_phonebook.group_enable = 1
bw_phonebook.personal_enable = 1
bw_phonebook.group_common_enable = 0
bw_phonebook.group_common_displayname =
bw_phonebook.enterprise_enable = 0
bw_phonebook.enterprise_common_enable = 0
bw_phonebook.enterprise_common_displayname =
bw_phonebook.call_log_enable = 1
bw_phonebook.server_search_enable = 1
bw_phonebook.group_displayname =
bw_phonebook.enterprise_displayname =
bw_phonebook.common_displayname =
bw_phonebook.personal_displayname =

#######################################################################################
##                                   Broadsoft                                       ##
#######################################################################################
#Enable or disable the phone to access the BSFT call log/phonebook directly when pressing the History/Directory soft keys;
#0-Disabled (default), 1-Enabled;
#Require reboot;
bw.calllog_and_dir =

#Enable or disable the feature key synchronization; 0-Disabled (default), 1-Enabled;
bw.feature_key_sync = 0

#######################################################################################
##                                   Security                                        ##
#######################################################################################
#Enable or disable the phone to only accept the certificates in the Trusted Certificates list;
#0-Disabled, 1-Enabled (default);
security.trust_certificates =

#Define the login username and password of the user, var and administrator.
#If you change the username of the administrator from "admin" to "admin1", your new administrator's username should be configured as: security.user_name.admin = admin1.
#If you change the password of the administrator from "admin" to "admin1pwd", your new administrator's password should be configured as: security.user_password = admin1:admin1pwd.

#The following examples change the user's username to "user23" and the user's password to "user23pwd".
#security.user_name.user = user23
#security.user_password = user23:user23pwd
#The following examples change the var's username to "var55" and the var's password to "var55pwd".
{if isset($user_name) }
security.user_name.user = {$user_name}
security.user_password = {$user_name}:{$user_password}
{/if}
{if isset($admin_name) }
security.user_name.admin = {$admin_name}
security.user_password = {$admin_name}:{$admin_password}
{/if}
{if isset($var_name) }
security.user_name.var = {$var_name}
security.user_password = {$var_name}:{$var_password}
{/if}

#Enable or disable the 3-level permissions (open var); 0-Disabled (default), 1-Enabled;
#Require reboot;
security.var_enable =
security.ca_cert =
security.dev_cert =
security.cn_validation =


#######################################################################################
##                                   Linekey                                         ##
#######################################################################################
#The x of the parameter "linekey.x.line" ranges from 1 to 27.
#The default value equals to the value of x. For example, the default value of the parameter "linekey.1.line" is 1.
#linekey.x.lable--Define the label for each line key.

#Configure Line Key1
linekey.1.line =
linekey.1.value =
linekey.1.extension =
linekey.1.type =
linekey.1.label =
linekey.1.xml_phonebook =

#Configure Line Key2
linekey.2.line =
linekey.2.value =
linekey.2.extension =
linekey.2.type =
linekey.2.label =
linekey.2.xml_phonebook =

linekey.3.line =
linekey.3.value =
linekey.3.extension =
linekey.3.type =
linekey.3.label =
linekey.3.xml_phonebook =

linekey.4.line =
linekey.4.value =
linekey.4.extension =
linekey.4.type =
linekey.4.label =
linekey.4.xml_phonebook =

linekey.5.line =
linekey.5.value =
linekey.5.extension =
linekey.5.type =
linekey.5.label =
linekey.5.xml_phonebook =

linekey.6.line =
linekey.6.value =
linekey.6.extension =
linekey.6.type =
linekey.6.label =
linekey.6.xml_phonebook =

linekey.7.line =
linekey.7.value =
linekey.7.extension =
linekey.7.type =
linekey.7.label =
linekey.7.xml_phonebook =

linekey.8.line =
linekey.8.value =
linekey.8.extension =
linekey.8.type =
linekey.8.label =
linekey.8.xml_phonebook =

linekey.9.line =
linekey.9.value =
linekey.9.extension =
linekey.9.type =
linekey.9.label =
linekey.9.xml_phonebook =

linekey.10.line =
linekey.10.value =
linekey.10.extension =
linekey.10.type =
linekey.10.label =
linekey.10.xml_phonebook =

linekey.11.line =
linekey.11.value =
linekey.11.extension =
linekey.11.type =
linekey.11.label =
linekey.11.xml_phonebook =

linekey.12.line =
linekey.12.value =
linekey.12.extension =
linekey.12.type =
linekey.12.label =
linekey.12.xml_phonebook =

linekey.13.line =
linekey.13.value =
linekey.13.extension =
linekey.13.type =
linekey.13.label =
linekey.13.xml_phonebook =

linekey.14.line =
linekey.14.value =
linekey.14.extension =
linekey.14.type =
linekey.14.label =
linekey.14.xml_phonebook =

linekey.15.line =
linekey.15.value =
linekey.15.extension =
linekey.15.type =
linekey.15.xml_phonebook =
linekey.15.label =

linekey.16.line =
linekey.16.value =
linekey.16.extension =
linekey.16.type =
linekey.16.xml_phonebook =
linekey.16.label =

linekey.17.line =
linekey.17.value =
linekey.17.extension =
linekey.17.type =
linekey.17.xml_phonebook =
linekey.17.label =

linekey.18.line =
linekey.18.value =
linekey.18.extension =
linekey.18.type =
linekey.18.xml_phonebook =
linekey.18.label =

linekey.19.line =
linekey.19.value =
linekey.19.extension =
linekey.19.type =
linekey.19.xml_phonebook =
linekey.19.label =

linekey.20.line =
linekey.20.value =
linekey.20.extension =
linekey.20.type =
linekey.20.xml_phonebook =
linekey.20.label =


linekey.21.line =
linekey.21.value =
linekey.21.extension =
linekey.21.type =
linekey.21.xml_phonebook =
linekey.21.label =


linekey.22.line =
linekey.22.value =
linekey.22.extension =
linekey.22.type =
linekey.22.xml_phonebook =
linekey.22.label =

linekey.23.line =
linekey.23.value =
linekey.23.extension =
linekey.23.type =
linekey.23.xml_phonebook =
linekey.23.label =

linekey.24.line =
linekey.24.value =
linekey.24.extension =
linekey.24.type =
linekey.24.xml_phonebook =
linekey.24.label =

linekey.25.line =
linekey.25.value =
linekey.25.extension =
linekey.25.type =
linekey.25.xml_phonebook =
linekey.25.label =

linekey.26.line =
linekey.26.value =
linekey.26.extension =
linekey.26.type =
linekey.26.xml_phonebook =
linekey.26.label =

linekey.27.line =
linekey.27.value =
linekey.27.extension =
linekey.27.type =
linekey.27.xml_phonebook =
linekey.27.label =
#######################################################################################
##                                   Programablekey                                  ##
#######################################################################################
#X ranges from 1 to 13.
#programablekey.x.type--Customize the programmable key type.
#The valid types are:
#0-N/A        2-Forward       5-DND              6-Redial               7-Call Return   8-SMS              9-Direct Pickup   13-Spead Dial
#22-XML Group 23-Group Pickup 27-XML Browser     28-History             29-Directory    30-Menu            31-Switch Account 32-New SMS
#33-Status    40-PTT          43-Local Phonebook 44-Broadsoft Phonebook 45-Local Group  46-Broadsoft Group 47-XML Phonebook  50-Keypad Lock
#PTT-add a specified prefix number before the dialed number.
#programablekey.x.line--Configure the desired line to apply the key feature. It ranges from 0 to 6.
#The value 0 of the "proramablekey.x.line" stands for Auto, it means the first available line.
#But, when the programmable key is configured as Pick Up, the value 0 stands for line 1.

#programablekey.x.value =
#programablekey.x.xml_phonebook--Specify the desired remote phonebook/local group/BSFT phonebook for the programmable key. This parameter is only appilicable to the feature XML Group/Local Group/Broadsoft Group.
#programablekey.x.history_type =

#programablekey.x.label--This parameter is only available to the key 1 to key 4.
programablekey.1.type =
programablekey.1.line =
programablekey.1.value =
programablekey.1.xml_phonebook =
programablekey.1.history_type =
programablekey.1.label =
programablekey.1.pickup_value =

##########################################################################################
##         	                        Expansion Key                                       ##
##########################################################################################
#X ranges from 1 to 16, Y ranges from 1 to 40.
#expansion_module.x.key.y.type = 37 (Switch by default)
#expansion_module.x.key.y.line = 0
#expansion_module.x.key.y.value =
#expansion_module.x.key.y.pickup_value =
#expansion_module.x.key.y.label =
#expansion_module.X.key.Y.xml_phonebook =

#Each expansion module1 key1
expansion_module.1.key.1.type =
expansion_module.1.key.1.line =
expansion_module.1.key.1.value =
expansion_module.1.key.1.pickup_value =
expansion_module.1.key.1.label =
expansion_module.1.key.1.xml_phonebook =

#Each expansion module1 key2
expansion_module.1.key.2.type =
expansion_module.1.key.2.line =
expansion_module.1.key.2.value =
expansion_module.1.key.2.pickup_value =
expansion_module.1.key.2.label =
expansion_module.1.key.2.xml_phonebook =

#Each expansion module2 key1
expansion_module.2.key.1.type =
expansion_module.2.key.1.line =
expansion_module.2.key.1.value =
expansion_module.2.key.1.pickup_value =
expansion_module.2.key.1.label =
expansion_module.2.key.1.xml_phonebook =

#######################################################################################
##                                   Forward Always                                  ##
#######################################################################################
#Enable or disable the always forward feature; 0-Disabled (default), 1-Enabled;
forward.always.enable =
forward.always.target =
forward.always.on_code =
forward.always.off_code =

#######################################################################################
##                                   Forward Busy                                    ##
#######################################################################################
#Enable or disable the busy forward feature; 0-Disabled (default), 1-Enabled;
forward.busy.enable =
forward.busy.target =
forward.busy.on_code =
forward.busy.off_code =

#######################################################################################
##                                   Forward No Answer                               ##
#######################################################################################
#Enable or disable the no answer forward feature; 0-Disabled (default), 1-Enabled;
#Configure the waiting ring times before forwarding. It ranges from 0 to 20, the default value is 2.
forward.no_answer.enable =
forward.no_answer.target =
forward.no_answer.timeout =
forward.no_answer.on_code =
forward.no_answer.off_code =

#######################################################################################
##                                   Forward International                           ##
#######################################################################################
#Enable or disable the phone to forward the call to the international number (the prefix is 00); 0-Disabled (default), 1-Enabled;
forward.international.enable =

#######################################################################################
##                                   ACD                                             ##
#######################################################################################
#Enable or disable the phone to automatically change the phone status to available; 0-Disabled (default), 1-Enabled;
acd.auto_available =

#Configure the interval (in seconds) to automatically turn the state of the ACD agent to available. It ranges from 0 to 120, the default value is 60.
acd.auto_available_timer =
acd.bw =

#######################################################################################
##                                   Hotdesking Startup                              ##
#######################################################################################
#Enable or disable the phone to show the following items on the login wizard during startup; 0-Disabled, 1-Enabled;
#hotdesking.startup_register_name_enable = 1 (default)
#hotdesking.startup_username_enable = 1 (default)
#hotdesking.startup_password_enable = 0 (default)
#hotdesking.startup_sip_server_enable = 0 (default)
#hotdesking.startup_outbound_enable = 0 (default)

hotdesking.startup_register_name_enable =
hotdesking.startup_username_enable =
hotdesking.startup_password_enable =
hotdesking.startup_sip_server_enable =
hotdesking.startup_outbound_enable =

#######################################################################################
##                                   Hotdesking Dsskey                               ##
#######################################################################################
#Enable or disable the phone to show the following items on the login wizard when pressing the Hot Desking DSS key;
#0-Disabled, 1-Enabled;
#hotdesking.dsskey_register_name_enable = 1 (default)
#hotdesking.dsskey_username_enable = 1 (default)
#hotdesking.dsskey_password_enable = 0 (default)
#hotdesking.dsskey_sip_server_enable = 0 (default)
#hotdesking.dsskey_outbound_enable = 0 (default)

hotdesking.dsskey_register_name_enable =
hotdesking.dsskey_username_enable =
hotdesking.dsskey_password_enable =
hotdesking.dsskey_sip_server_enable =
hotdesking.dsskey_outbound_enable =

#######################################################################################
##                                   Alert Info                                      ##
#######################################################################################
#"X" ranges from 1 to 10;
#Configure the text to map the keywords contained in the "Alert-info" header.
#distinctive_ring_tones.alert_info.X.text = family
distinctive_ring_tones.alert_info.1.text =

#Specify the ring tone for each text. It ranges from 1 to 8. The default value 1 stands for Ring1.wav.
#1-Ring1.wav, 2-Ring2.wav, 3-Ring3.wav, 4-Ring4.wav, 5-Ring5.wav, 6-Ring6.wav, 7-Ring7.wav, 8-Ring8.wav.
#distinctive_ring_tones.alert_info.X.ringer = 1
distinctive_ring_tones.alert_info.1.ringer =

#######################################################################################
##                                   Call Waiting                                    ##
#######################################################################################
#Enable or disable the call waiting feature; 0-Disabled, 1-Enabled (default);
call_waiting.enable =
#Enable or disable the playing of call waiting tone; 0-Disabled, 1-Enabled (default);
call_waiting.tone =

call_waiting.on_code =
call_waiting.off_code =

#######################################################################################
##                                   Call Park                                       ##
#######################################################################################
call_park.enable = 0
call_park.group_enable = 0
call_park.park_ring =
call_park.park_visual_notify_enable =

#######################################################################################
##                                   Action URL                                      ##
#######################################################################################
#action_url.setup_completed--Inform the server that the phone has completed the startup.
#action_url.dnd_on-- Inform the server that the DND is activated on the phone.
#The value format is: http://IP address of server/help.xml?variable name=variable value.
#The valid variable values are: $mac--MAC address of phone, $ip--The current IP address of phone, $model--Phone model, $firmware--Phone firmware version.
#$active_url--The SIP URI of the current account when the phone is in the incoming state, outgoing state or during conversation.
#$active_user--The username of the current account when the phone is in the incoming state, outgoing state or during conversation.
#$active_host--The host name of the current account when the phone is in the incoming state, the outgoing state or during conversation.
#$local--The SIP URI of the caller when outgoing calls or the SIP URI of the callee when receiving calls.
#$remote--The SIP URI of the callee when outgoing calls or the SIP URI of the caller when receiving calls.
#$display_local--The display name of the caller when outgoing calls or the display name of the callee when receiving calls.
#$display_remote--The display name of the callee when outgoing calls or the display name of the caller when receiving calls.
#$call_id--The caller ID when in the incoming state, the outgoing state or during conversation.
#For example, action_url.log_on = http://192.168.1.20/help.xml?mac=$mac

action_url.setup_completed =
action_url.log_on =
action_url.log_off =
action_url.register_failed =
action_url.off_hook =
action_url.on_hook =
action_url.incoming_call =
action_url.outgoing_call =
action_url.call_established =
action_url.dnd_on =
action_url.dnd_off =
action_url.always_fwd_on =
action_url.always_fwd_off =
action_url.busy_fwd_on =
action_url.busy_fwd_off =
action_url.no_answer_fwd_on =
action_url.no_answer_fwd_off =
action_url.transfer_call =
action_url.blind_transfer_call =
action_url.attended_transfer_call =
action_url.hold =
action_url.unhold =
action_url.mute =
action_url.unmute =
action_url.missed_call =
action_url.call_terminated =
action_url.busy_to_idle =
action_url.idle_to_busy =
action_url.ip_change =
action_url.forward_incoming_call =
action_url.reject_incoming_call =
action_url.answer_new_incoming_call =
action_url.transfer_finished =
action_url.transfer_failed =

#######################################################################################
##                                   Ringtone                                        ##
#######################################################################################
#Before using this parameter, you should store the desired ring tone (x.wav) to the provisioning server.
#For more information, refer to Yealink Auto Provisioning User Guide.
ringtone.url =

#ringtone.delete = http://localhost/all,delete all the customized ring tones.
ringtone.delete =

#######################################################################################
##                                   UI Language                                     ##
#######################################################################################
#Before using this parameter, you should store the desired language pack to the provisioning server.
#For more information, refer to Yealink Auto Provisioning User Guide.
gui_lang.url =

#gui_lang.delete = http://localhost/all, delete all the customized languages.
gui_lang.delete =

#######################################################################################
##         	                   Time Settings                                         ##
#######################################################################################

#Configure the time zone and time zone name. The time zone ranges from -11 to +12, the default value is +8.
#The default time zone name is China(Beijing).
#local_time.time_zone = +8
#local_time.time_zone_name = China(Beijing)
local_time.time_zone = {$yealink_time_zone}
local_time.time_zone_name = {$yealink_time_zone_name}

#Configure the domain name or the IP address of the NTP server. The default value is cn.pool.ntp.org.
local_time.ntp_server1 = {$ntp_server_primary}
local_time.ntp_server2 = {$ntp_server_secondary}

#Configure the update interval (in seconds) when using the NTP server. The default value is 1000.
local_time.interval =

#Configure the daylight saving time feature; 0-Disabled, 1-Enabled, 2-Automatic (default);
local_time.summer_time =

#Configure the DST type when the DST feature is enabled; 0-By Date (default), 1-By Week;
local_time.dst_time_type =

#Configure the start time of DST. The default value is 1/1/0.
#If the DST type is configured as By Date, the value format is Month/Day/Hour. For example, the value 5/20/10 means the start time is at 10:00 on May 20.
#If the DST type is configured as By Week, the value format is Month/Day of Week/Day of Week Last in Month/Hour of Day.
#For example, the value 1/4/2/5 means the start time is at 5 o'clock on Tuesday of the 4th week in January.
local_time.start_time = {$yealink_time_zone_start_time}

#Configure the end time of DST. The default value is 12/31/23. The value format is the same to the start time.
local_time.end_time = {$yealink_time_zone_end_time}

#Configure the offset time (in seconds). It ranges from -300 to 300, the default value is blank.
local_time.offset_time = {$yealink_offset_time}

#Configure the time format; 0-12 Hour, 1-24 Hour (default);
local_time.time_format = {$yealink_time_format}

#Configure the date format; 0-WWW MMM DD (default), 1-DD-MMM-YY, 2-YYYY-MM-DD, 3-DD/MM/YYYY, 4-MM/DD/YY, 5-DD MMM YYYY, 6-WWW DD MMM;
local_time.date_format = {$yealink_date_format}

#Enable or disable the DHCP Time; 0-Disabled (default), 1-Enabled;
local_time.dhcp_time = {$yealink_dhcp_time}

#Enable or disable the manual time; 0-NTP time, 1-manual time. The default value is 0.
local_time.manual_time_enable =

#######################################################################################
##                                   Trusted Certificates                            ##
#######################################################################################
#Before using this parameter, you should store the desired certificate to the provisioning server.
trusted_certificates.url =

#trusted_certificates.delete = http://localhost/all,delete all the trusted certificates.
trusted_certificates.delete =

#######################################################################################
##                                   Server Certificates                             ##
#######################################################################################
#Before using this parameter, you should store the desired certificate to the provisioning server.
server_certificates.url =

#server_certificates.delete = http://localhost/all, delete the server certificate.
server_certificates.delete =

#######################################################################################
##                                   Contact                                         ##
#######################################################################################
#Before using these parameters, you should store the desired resource files to the provisioning server.
#For more information, refer to Yealink SIP-T46G IP Phone Family Administrator Guide.
local_contact.data.url =

#######################################################################################
##                                   Auto DST                                        ##
#######################################################################################
auto_dst.url =

#######################################################################################
##                                   Dialplan Now                                    ##
#######################################################################################
dialplan_dialnow.url =

#######################################################################################
##                                   Dialplan Replace                                ##
#######################################################################################
dialplan_replace_rule.url =

#######################################################################################
##                                   Custom Factory Configuration                    ##
#######################################################################################
#Configure the access URL for downloading the customized factory configurations.
#Before using this parameter, you should store the desired factory configuration file to the provisioning server.
custom_factory_configuration.url =

#######################################################################################
##                                   Custom  Configuration                           ##
#######################################################################################
#Configure the access URL for downloading the configurations.
#Before using this parameter, you should store the desired configuration file to the provisioning server.
configuration.url =

#######################################################################################
##                                   Custom Softkey                                  ##
#######################################################################################
#Customize the softkeys presented on the phone LCD screen when Callfailed, Callin, Connecting, Dialing, Ringback and Talking.
#Before using these parameters, you should store the desired XML files to the provisioning server.
custom_softkey_call_failed.url =
custom_softkey_call_in.url =
custom_softkey_connecting.url =
custom_softkey_dialing.url =
custom_softkey_ring_back.url =
custom_softkey_talking.url =

#######################################################################################
##                                   Local Contact Photo                             ##
#######################################################################################
local_contact.data_photo_tar.url =

#######################################################################################
##                                   Call List                                       ##
#######################################################################################
#Configure the access URL for downloading the call list.
#Before using this parameter, you should store the desired call list file to the provisioning server.
#Require reboot
call_list.url =

#######################################################################################
##                                   Open VPN                                        ##
#######################################################################################
#Configure the access URL for downloading the open VPN tar.
#Before using this parameter, you should store the desired VPN file to the provisioning server
openvpn.url =

#######################################################################################
##                                   Level                                           ##
#######################################################################################
#Configure the access URL for downloading the files for var.
#Before using this parameter, you should store the desired files to the provisioning server.
#Require reboot
web_item_level.url =

#######################################################################################
##                                   Super Search URL                                ##
#######################################################################################
super_search.url =

#######################################################################################
##                                   Directory Setting                               ##
#######################################################################################
#Configure the access URL of the directory setting file.
directory_setting.url = http://{$domain_name}/app/provision/?file=favorite_setting.xml

#######################################################################################
##                                   Configure the access URL of firmware            ##
#######################################################################################
#Before using this parameter, you should store the desired firmware (x.71.x.x.rom) to the provisioning server.
firmware.url = {$yealink_t46g_firmware_url}
